#ifndef _VIDEO_H_
#define _VIDEO_H_


typedef struct{
	void* buffer;
	int width;
	int height;
	bool alpha;
	u16 centerx;
	u16 centery;
}MRCtex;


#define CONSOLE_X		224
#define CONSOLE_Y		224
#define CONSOLE_WIDTH	384
#define CONSOLE_HEIGHT	224

/* Prototypes */
void Con_Init(u32, u32, u32, u32);
void Con_Clear(void);
void Con_ClearLine(void);

void Video_Configure(GXRModeObj *);
void Video_SetMode(void);
void Video_Clear(s32);

void MRC_Draw_Tile(int x, int y, MRCtex* tex, int width, unsigned char tile);
void MRC_Draw_Texture(int x, int y, MRCtex* tex);

int MRC_Get_String_Width(const char*);
void MRC_Draw_String(int x, int y, u32 color, const char* str);
void __Draw_Box(int x, int y, int width, int height, u32 color);
void __Center_Texture(MRCtex* tex, int nTiles);
void __Resize_Texture(MRCtex* tex, int newWidth, int newHeight);

MRCtex* __Create_No_Banner(const char* id, const char* title, int width, int height);
MRCtex* MRC_Load_Texture(void *img);

void __Render_Box(int, int);
void __Render_Screen(void);
void __Draw_Cursor(int x, int y, bool grab);

void __Free_Texture(MRCtex* tex);

void MRC_Init(void);
void MRC_Finish(void);

//void MRC_Capture(void);

#endif
